| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OutputStreamAgent Class Reference

`#include <OutputStreamAgent.h>`

Inheritance diagram for OutputStreamAgent:

[legend]
Collaboration diagram for OutputStreamAgent:

[legend]
List of all members.

## Detailed Description

Definition at line 30 of file OutputStreamAgent.h.

## Public Member Functions
| OutputStreamAgent (OutputStream *OutputStream)
| Standard Constructor.
virtual | ~OutputStreamAgent ()
| Standard Destructor.
virtual bool | analyse (IRegistry *dir, int level)
| Analysis callback.
## Private Attributes
OutputStream * | m_OutputStream
| Reference to data writer.

## Constructor & Destructor Documentation

OutputStreamAgent::OutputStreamAgent | ( | OutputStream * | OutputStream | ) |

Standard Constructor.

Definition at line 21 of file OutputStreamAgent.cpp.

    00022 : m_OutputStream(OutputStream)
    00023 {
    00024 }

OutputStreamAgent::~OutputStreamAgent | ( |  | ) | `[virtual]`

Standard Destructor.

Definition at line 27 of file OutputStreamAgent.cpp.

    00027                                        {
    00028 }

## Member Function Documentation

bool OutputStreamAgent::analyse | ( | IRegistry * | dir,
|  | int | level |
| ) |  |  | `[virtual]`

Analysis callback.

Implements IDataStoreAgent.

Definition at line 31 of file OutputStreamAgent.cpp.

References OutputStream::collect(), and m_OutputStream.

    00031                                                                  {
    00032   return m_OutputStream->collect(pRegistry, level);
    00033 }

## Member Data Documentation

OutputStream* OutputStreamAgent::m_OutputStream`[private]`

Reference to data writer.

Definition at line 32 of file OutputStreamAgent.h.

Referenced by analyse().

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiSvc/v17r1/src/PersistencySvc/OutputStreamAgent.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiSvc/v17r1/src/PersistencySvc/OutputStreamAgent.cpp